<?php
define('PROTECTOR', 1);

$textl='Регистрация';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
echo'<style type="text/css">

select { background:none repeat scroll 0 0 #111111;border:1px solid #fdca4f;color:#ffffff;display:inline-block;height:26px;margin:2px 0 6px;padding:3px 0;width:100%;}
input { margin:0; padding:0; vertical-align:middle; background:#fff3a4; font-size: small; font-family: verdana;}
input.regs, input#captcha { width:99%; padding:4px 0 3px 3px; color:#fff; margin:2px 0 6px; border:1px solid #fdca4f;}
input.reg, input#captcha { width:99%; padding:0px 0 3px 0px; color:#fff; margin:1px 0 1px; border:1px solid #fdca4f;}
#form {text-align: center;}
input[type=submit]{
	margin: 4px 35%;
	display: inline;
	padding: 10px 30px 13px;
	height: 14px;
	color: #e6d3c7;
	font-size: 12px;
	margin-top: 5px;
	text-decoration: none;
	background: #080823;
	border: 1px solid #949494;
	border-radius: 10px;}
input.main-btn:hover {
		color: #fff;
		background: #1e1e53;}
}
input.main-btn img {
		display: block;
		float: left;
		margin-right: 5px;
		margin-top: 1px;
	}
</style>
</head>
';
echo"<div class='f_bg'>";
echo'<div class="a"><img src="pic/logod.gif" alt="" /></div>';
function first()
{
$reg=rand(0,10000);
$_SESSION[kod]=$reg;
$ref = htmlspecialchars(stripslashes(addslashes($_GET['ref'])));
$referer=htmlspecialchars($_GET['refer']);
if(!empty($_GET[ref])){
echo "<form action=\"reg.php?mod=goreg&amp;ref=$_GET[ref]&refer=$referer\" method=\"post\">";}else{
echo '<form action="reg.php?mod=goreg&refer='.$referer.'" method="post">';}

$cvet="<font color = '#6FCD72'><b>"; $grey="<font color = 'grey'>"; $f="</font></b>";
echo'<div class="a"><div class="dot"> <b>Регистрация</b></div></div>';
echo"<font color = '#6FCD72'><b>Логин:</font><font color = 'grey'><small> (Вводится с учетом регистра букв - PlayeR и player это разные логины. <br>
Запрещено регистрировать ники типа 112334, dbkjjl? или набор непонятных символов.)</small></font></b><br/>
<input class='regs' type=\"text\" size=\"10\" name=\"nick\" maxlength=\"15\"/><br/>
$cvet Пароль: $grey(<small>Не более 10 символов, латиница и цифры.</small>)$f<br/>
<input class='regs' name=\"pass\" size=\"10\" type=\"password\" maxlength=\"10\"/><br/>
$cvet Ваш e-mail: $grey(<small>Нужен для восстановления пароля</small>)$f<br/>
<input class='regs' type=\"text\" size=\"10\" name=\"email\" maxlength=\"50\"/><br/>
$cvet Пол: $grey(<small>Укажите ваш пол</small>)$f<br/>
<select name=\"pol\"><option value=\"m\">Парень</option>
<option value=\"w\">Девушка</option></select><br/>
$cvet Сторона: $grey(<small>Выберите сторону</small>)$f<br/>
<select name=\"storona\">
<option value=\"white\">Светлая</option>
<option value=\"black\">Тёмная</option>
</select><br/>
$cvet Класс: $grey(<small>Выберите класс</small>)$f<br/>
<select  name=\"klas\">
<option value=\"wizard\">Маг</option>
<option value=\"fighert\">Воин</option></select><br/>";
echo '<div class="a">

<input class="main-btn" type="submit" value="Регистрация" /></a></form></font><font color="white">
Я согласен с <a href="rules.php">правилами</a> игры </div></div></font></div>';

echo "</div>";
echo"<div class='m_bg'><a href='index.php?ref=$ref'>На главную</a></div>";
}
////////goreg/////
function goreg(){
if($_POST[storona]!='white' and $_POST[storona]!='black'){
echo "Невыбрана сторона персонажа!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";}
if($_POST[klas]!='fighert' and $_POST[klas]!='wizard'){
echo "Невыбран класс персонажа!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";}

if($_POST[pol]!='m' and $_POST[pol]!='w'){
echo "Невыбран пол персонажа!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";}
$brauser=htmlspecialchars(stripslashes($_SERVER['HTTP_USER_AGENT']));
$ip=htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR']));
$pass = $_POST[pass];
$_POST[nick] = addslashes("$_POST[nick]");
$_POST[nick] = htmlspecialchars($_POST[nick]);
    
$_POST[pass] = addslashes("$_POST[pass]");       
$_POST[pass] = htmlspecialchars($_POST[pass]);

$_POST[repass] = addslashes("$_POST[repass]");
$_POST[repass] = htmlspecialchars($_POST[repass]);
    
$_POST[email] = addslashes("$_POST[email]");       
$_POST[email] = htmlspecialchars($_POST[email]);
$email = $_POST[email];
$tkr = mysql_query("SELECT * FROM `users` WHERE `usr` = '$_POST[nick]'");
$tkr=mysql_num_rows($tkr);
$bip = mysql_query("SELECT * FROM `users` WHERE `ip` = '$ip'");
$bip=mysql_num_rows($bip);
$temn = mysql_query("SELECT * FROM `users` WHERE `email` = '$_POST[email]'");
$tem=mysql_num_rows($temn);

if(strlen($_POST[nick])<3 or strlen($_POST[nick])>25){echo "Неверная длина ника!разрешено от 3 до 20 символов.<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";}
elseif (@preg_replace("[A-za-zА-яа-я0-9]+", "", $_POST[nick]) || @preg_replace("[A-za-z0-9]+", "", $_POST[pass]) || @preg_replace("[A-za-z0-9]+", "", $_POST[repass])){
echo "Используете запрещённые символы!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";}
elseif (ereg("/[0-9a-z_]+@[0-9a-z_^\.]", "", $_POST[email])){
echo "Не правильно введён e-mail!</div>";
echo "<a href=\"reg.php\">Назад</a></div>";}

elseif (($tkr < 1) && ($bip < 10) && ($tem < 1) && ($_POST[nick] != "") && ($_POST[pass] != "") )
{
$dater=date("d F, Y", time());
$time=date("H:i:s", time());
$dater = str_replace("January","января",$dater);
$dater = str_replace("February","февраля",$dater);
$dater = str_replace("March","марта",$dater);
$dater = str_replace("April","апреля",$dater);
$dater = str_replace("May","мая",$dater);
$dater = str_replace("June","июня",$dater);
$dater = str_replace("July","июля",$dater);
$dater = str_replace("August","августа",$dater);
$dater = str_replace("September","сентября",$dater);
$dater = str_replace("October","октября",$dater);
$dater = str_replace("November","ноября",$dater);
$dater = str_replace("December","декабря",$dater);

$_POST[pass] = md5($_POST[pass]);
$storona = $_POST[storona];

$mp="20"; $all="20";
$sila="11";
$krit="10";
$ukrit="10";
$lovk='12';
$protect='15';

if(!empty($_GET[ref])){
$_GET[ref] = htmlspecialchars(stripslashes(addslashes($_GET['ref'])));
$req = mysql_query("SELECT `ip` FROM `users` WHERE `id` = '$_GET[ref]' LIMIT 1");
$avto = mysql_num_rows($req);
if ($avto == 1) {
    $refer = mysql_fetch_array($req);
    if($ip!=$refer[ip]){
    mysql_query("INSERT INTO
        `users` SET
        `usr` = '$_POST[nick]',
        `pass` = '$_POST[pass]',
        `email` = '$_POST[email]',
        `ip` = '$ip',
        `pol` = '$_POST[pol]',
        `storona` = '$_POST[storona]',
        `lvl` = '1',
        `money` = '100',
        `skill` = '3',
        `hp` = '$all',
        `hpall` = '$all',
        `mp` = '$mp',
        `mpall` = '$mp',
        `exp` = '200',
        `almaz` = '1',
        `sila` = '$sila',
        `lovk` = '$lovk',
        `prot` = '$protect',
        `krit` = '$krit',
        `ukrit` = '$ukrit',
        `klas` = '$_POST[klas]',
        `city` = 'fornost',
        `ref` = '$_GET[ref]',
        `lvisit` = '$dater $time'");
    }}}else{
    mysql_query("INSERT INTO
        `users` SET
        `usr` = '$_POST[nick]',
        `pass` = '$_POST[pass]',
        `email` = '$_POST[email]',
        `ip` = '$ip',
        `pol` = '$_POST[pol]',
        `storona` = '$_POST[storona]',
        `lvl` = '1',
        `money` = '100',
        `skill` = '3',
        `hp` = '$all',
        `hpall` = '$all',
        `mp` = '$mp',
        `mpall` = '$mp',
        `exp` = '200',
        `almaz` = '1',
        `sila` = '$sila',
        `lovk` = '$lovk',
        `prot` = '$protect',
        `krit` = '$krit',
        `ukrit` = '$ukrit',
        `klas` = '$_POST[klas]',
        `city` = 'fornost',
        `ref` = 'not',
        `lvisit` = '$dater $time'");
}mysql_query("INSERT INTO
        `weapon` SET
        `usr` = '$_POST[nick]',
        `tip` = 'weapon',
        `kompl` = '0',
        `name` = 'Мечь новичка',
        `cena` = '180',
        `sila` = '3',
        `krit` = '10',
        `ukrit` = '5',
        `nlvl` = '1',
        `image` = 'yes'");
        
mysql_query("INSERT INTO
        `weapon` SET
        `usr` = '$_POST[nick]',
        `tip` = 'body',
        `kompl` = '0',
        `name` = 'Рубаха горожанина',
        `cena` = '100',
        `prot` = '10',
        `nlvl` = '1',
        `image` = 'yes'");

mysql_query("INSERT INTO
        `weapon` SET
        `usr` = '$_POST[nick]',
        `tip` = 'nogi',
        `kompl` = '0',
        `name` = 'Сандалии новичка',
        `cena` = '50',
        `prot` = '5',
        `nlvl` = '1',
        `image` = 'yes'");
mysql_query("INSERT INTO
        `weapon` SET
        `usr` = '$_POST[nick]',
        `tip` = 'kolco',
        `kompl` = '0',
        `name` = 'Кольцо новичка',
        `cena` = '50',
        `ukrit` = '5',
        `nlvl` = '1',
        `image` = 'yes'");
mysql_query("INSERT INTO
        `res` SET
        `usr` = '$_POST[nick]',
        `tip` = 'kolco',
        `kompl` = '0',
        `name` = 'Кольцо новичка',
        `cena` = '50',
        `ukrit` = '5',
        `nlvl` = '1',
        `image` = 'yes'");

mysql_query("INSERT INTO
        `res` SET
        `usr` = '$_POST[nick]',
        `name` = 'HP-10',
        `lat_name` = 'HP-10',
        `tip` = 'elexir',
        `what` = 'hp',
        `give` = '10',
        `kol` = '10',
        `cena` = '6'");

mysql_query("INSERT INTO
        `res` SET
        `usr` = '$_POST[nick]',
        `name` = 'MP-10',
        `lat_name` = 'MP-10',
        `tip` = 'elexir',
        `what` = 'mp',
        `give` = '10',
        `kol` = '10',
        `cena` = '6'");
if(isset($_SESSION['site'])){
$site=htmlspecialchars($_SESSION['site']);}
mysql_query("INSERT INTO `res` SET `usr` = '$_POST[nick]', `lat_name` = 'jelezo', `name` = 'Железо',`kol` = '1', `tip`='res', `cena`='9'");
mysql_query("INSERT INTO `res` SET `usr` = '$_POST[nick]', `lat_name` = 'kamen', `name` = 'Камень',`kol` = '1', `tip`='res', `cena`='6'");
mysql_query("INSERT INTO `res` SET `usr` = '$_POST[nick]', `lat_name` = 'nefrit',`name` = 'Нефрит', `kol` = '1', `tip`='res', `cena`='30'");
mysql_query("INSERT INTO `res` SET `usr` = '$_POST[nick]', `lat_name` = 'obsidian',`name` = 'Обсидиан', `kol` = '1', `tip`='res', `cena`='30'");
mysql_query("INSERT INTO `res` SET `usr` = '$_POST[nick]', `lat_name` = 'serebro',`name` = 'Серебро', `kol` = '1', `tip`='res', `cena`='30'");
mysql_query("INSERT INTO `mesto` SET `usr` = '$_POST[nick]',`place` = 'main',`city` = '0'");
$date = time();
mysql_query("INSERT INTO regenerator SET usr = '$_POST[nick]', last = '$date'");
mysql_query("INSERT INTO `set` SET `usr` = '$_POST[nick]', `datareg` = '$date', `email` = '$_POST[email]', `brauser` = '$brauser', `referer` = '$_GET[refer]' , `prim` = 'on', `invmax`= '5', `site` = '$site'");
//************************

//********************
$_SESSION['log'] = $_POST[nick];
$_SESSION['pas'] = $_POST[pass];
$_SESSION['klas'] = $_POST[klas];
$_SESSION['storona'] = $storona;
$_SESSION['pol'] = $_POST[pol];
echo "<div class='a'>Регистрация прошла успешно! <img src='pic/yes.png' alt='*'/><br>";
echo "Добро пожаловать в игру Битва Героев!</div>
Ваш браузер:  <font color='gray'>$brauser</font> <br>
Ваш IP: <font color='gray'>$ip</font> <br>
Логин: <b>$_POST[nick]</b><br>
Пароль: <b>$pass</b><br>
Чтобы каждый раз не вводить логин и пароль, добавьте в закладки ссылку на автологин<br>
http://hnev.ru/enter.php?login=$_POST[nick]&pas=$pass<br>Скопировать:<br>";
echo'<input value="http://hnev.ru/enter.php?login='.$_POST[nick].'&pas='.$pass.'" name="ssilka"/><br/></div>';
echo "<div class=\"f_bg\"><a href=\"reg.php?mod=intro\">Далее</a></div>";}
elseif($_POST[nick] == ""){
echo " <img src='pic/no.png' alt=''/> Вы оставили пустое поле: Логин!<br/>";
echo "<a href=\"reg.php\">«Назад</a></div>";}
elseif($_POST[pass] == ""){
echo " <img src='pic/no.png' alt=''/> Вы оставили пустое поле: Пароль!<br/>";
echo "<a href=\"reg.php\">«Назад</a></div>";}

elseif($tem >= 1){
echo " <img src='pic/no.png' alt=''/> E-mail занят!<br/>";
echo "<a href=\"reg.php\">«Назад</a></div>";}

elseif($tkr > 0){
echo " <img src='pic/no.png' alt=''/> Логин занят, выберите другой!<br/>";
echo "<a href=\"reg.php\">«Назад</a></div>";}
elseif($bip > 10){
echo " <img src='pic/no.png' alt=''/> Не стоит заводить столько много аккаунтов!<br/>";
echo "<a href=\"reg.php\">«Назад</a></div>";}}
function intro(){
if(empty($_SESSION['log']) or empty($_SESSION['pas']) or empty($_SESSION['storona']) or empty($_SESSION['klas'])){
echo "Ошибка!</div>";
echo "<div class=\"foot\"><a href=\"reg.php\">Назад</a></div>";}else{
echo"<img class=\"float-left\" src=\"pic/game/11.jpg\" style=\"margin-right:8px;\" alt=\"*\"/>";
if($_SESSION['pol']=="w"){$a="а";$slovo="должна";}else{$slovo="должен";}
if($_SESSION['storona']=='white'){$st="светлого"; $st1="светлую"; $st3="мраком";}else{$st="тёмного"; $st1="тёмную"; $st3="добром";}
if($_SESSION['klas']=='wizard'){$kl="мага";}else{$kl="воина";}
echo"Ты выбрал$a путь $st $kl, ты сделал$a правильный выбор!<br/>";
echo"Возможно ты приведёшь $st1 сторону к победе над $st3!<br/>";
echo'Но ты новичёк ещё, поэтому слушай несколько советов!<br/><br/>
<b>1</b>. В твоем арсенале есть довольно неплохое оружие, а так же несколько эликсиров, используй их с умом!<br>
<img src="pic/pers/weapon/kolco0.jpg" alt="*"/>   <img src="pic/pers/weapon/body0.jpg" alt="*"/>   <img src="pic/pers/weapon/weapon0.jpg" alt="*"/> <br>
<b>2</b>. Для того чтобы стать более сильным ты '.$slovo.' получать опыт и подымать свой уровень,
за каждый уровень ты получаешь 3 очка, которые можешь распределить на физмческие параметры!
<img src="/pic/hp.png" alt="*"/> <img src="/pic/pers/udar.png" alt="*"/>   <img src="/pic/pers/krit.png" alt="*"/> 
<br/> <b>3</b>. Убивая монстров, будешь получать опыт, деньги, оружие. Монстры находятся в "Сражениях"<br/>
<b>4</b>. Все вещи можно купить на Торговой площади! В твоем запасе уже есть <img src="pic/bazar.gif" alt="*"/>100 монет и <img src="pic/almaz.png" alt="*"/> 1 алмаз, они тебе пригодятся в игре<br/>
<b>5</b>. Ответы на вопросы ты всегда найдёшь в чате или в разделе помощь!</div>';
echo "<div class=\"f_bg\"><a href=\"start.php?\">Начать игру </a><img src=\"pic/yes.png\" alt=\"*\"/></div>";}}
if($_GET[mod] == "")
{first();}
elseif($_GET[mod] == "goreg")
{goreg();}
elseif($_GET[mod] == "intro")
{intro();}

include('files/end.php');
?>